package com.uas.platform.b2b.temporary.model;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

public class WorkDataInfo implements Serializable {

	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;

	/**
	 * id
	 */
	private Long id;

	/**
	 * 班次编号
	 */
	private String code;

	/**
	 * 班次名称
	 */
	private String name;

	/**
	 * 录入人
	 */
	private String recorder;

	/**
	 * 录入日期
	 */
	private Date recorddate;

	/**
	 * 工作时间
	 */
	private Integer hours;

	/**
	 * 班段数量
	 */
	private Integer degree;

	/**
	 * 工作时间1
	 */
	private String ondutyone;

	/**
	 * 下班时间1
	 */
	private String offdutyone;


	/**
	 * 工作时间2
	 */
	private String ondutytwo;

	/**
	 * 下班时间2
	 */
	private String offdutytwo;


	/**
	 * 工作时间3
	 */
	private String ondutythree;

	/**
	 * 下班时间3
	 */
	private String offdutythree;

	/**
	 * 员工编码
	 */
	private Long emcode;

	/**
	 * 员工姓名
	 */
	private String man;

	/**
	 * 参与部门编号
	 */
	private Integer defaultorCode;

	/**
	 * 参与部门
	 */
	private String defaultor;

	/**
	 * 考勤星期
	 */
	private String day;

	/**
	 * 参与人数
	 */
	private Integer pcount;

	/**
	 * 提前打卡时间
	 */
	private Integer earlytime;

	/**
	 * 企业uu
	 */
	private Long enuu;

	/**
	 * 公司位置
	 */
	private List<SignCardAddressInfo> comAddressdata;

	/**
	 * 班次1
	 */
	private ClassObject class1;

	/**
	 * 班次2
	 */
	private ClassObject class2;

	/**
	 * 班次3
	 */
	private ClassObject class3;

	public ClassObject getClass1() {
		return class1;
	}

	public void setClass1(ClassObject class1) {
		this.class1 = class1;
	}

	public ClassObject getClass2() {
		return class2;
	}

	public void setClass2(ClassObject class2) {
		this.class2 = class2;
	}

	public ClassObject getClass3() {
		return class3;
	}

	public void setClass3(ClassObject class3) {
		this.class3 = class3;
	}

	public Long getId() {
		return id;
	}

	public void setId(Long id) {
		this.id = id;
	}

	public String getCode() {
		return code;
	}

	public void setCode(String code) {
		this.code = code;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public String getRecorder() {
		return recorder;
	}

	public void setRecorder(String recorder) {
		this.recorder = recorder;
	}

	public Date getRecorddate() {
		return recorddate;
	}

	public void setRecorddate(Date recorddate) {
		this.recorddate = recorddate;
	}

	public Integer getHours() {
		return hours;
	}

	public void setHours(Integer hours) {
		this.hours = hours;
	}

	public Integer getDegree() {
		return degree;
	}

	public void setDegree(Integer degree) {
		this.degree = degree;
	}

	public String getOndutyone() {
		return ondutyone;
	}

	public void setOndutyone(String ondutyone) {
		this.ondutyone = ondutyone;
	}

	public String getOffdutyone() {
		return offdutyone;
	}

	public void setOffdutyone(String offdutyone) {
		this.offdutyone = offdutyone;
	}

	public String getOndutytwo() {
		return ondutytwo;
	}

	public void setOndutytwo(String ondutytwo) {
		this.ondutytwo = ondutytwo;
	}

	public String getOffdutytwo() {
		return offdutytwo;
	}

	public void setOffdutytwo(String offdutytwo) {
		this.offdutytwo = offdutytwo;
	}

	public String getOndutythree() {
		return ondutythree;
	}

	public void setOndutythree(String ondutythree) {
		this.ondutythree = ondutythree;
	}

	public String getOffdutythree() {
		return offdutythree;
	}

	public void setOffdutythree(String offdutythree) {
		this.offdutythree = offdutythree;
	}

	public Long getEmcode() {
		return emcode;
	}

	public void setEmcode(Long emcode) {
		this.emcode = emcode;
	}

	public String getMan() {
		return man;
	}

	public void setMan(String man) {
		this.man = man;
	}

	public Integer getDefaultorCode() {
		return defaultorCode;
	}

	public void setDefaultorCode(Integer defaultorCode) {
		this.defaultorCode = defaultorCode;
	}

	public String getDefaultor() {
		return defaultor;
	}

	public void setDefaultor(String defaultor) {
		this.defaultor = defaultor;
	}

	public String getDay() {
		return day;
	}

	public void setDay(String day) {
		this.day = day;
	}

	public Integer getPcount() {
		return pcount;
	}

	public void setPcount(Integer pcount) {
		this.pcount = pcount;
	}

	public Integer getEarlytime() {
		return earlytime;
	}

	public void setEarlytime(Integer earlytime) {
		this.earlytime = earlytime;
	}

	public Long getEnuu() {
		return enuu;
	}

	public void setEnuu(Long enuu) {
		this.enuu = enuu;
	}

	public List<SignCardAddressInfo> getComAddressdata() {
		return comAddressdata;
	}

	public void setComAddressdata(List<SignCardAddressInfo> comAddressdata) {
		this.comAddressdata = comAddressdata;
	}

}
